Summary: GNOME desktop calculator
Name: gcalctool
Version: 5.28.1
Release: %mkrel 1
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://calctool.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gcalctool-32.png
Source2: gcalctool-16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel
BuildRequires: libGConf2-devel
BuildRequires: flex
BuildRequires: bison
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: intltool
#gw libtool dep:
BuildRequires: dbus-glib-devel
#gw if we call aclocal
BuildRequires: automake
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Conflicts: gnome-utils < 2.3.3

%description
gcalctool is a desktop calculator.
It has Basic, Financial and Scientific modes. Internally it uses multiple
precision arithmetic to produce results to a high degree of accuracy.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png
#gw this is in the gnome-icon-theme package
ln -s %{_datadir}/icons/hicolor/48x48/apps/gnome-calculator.png %buildroot%{_liconsdir}/%name.png

rm -rf %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT


%post
%if %mdkversion < 200900
%update_scrollkeeper
%post_install_gconf_schemas gcalctool
%{update_menus}
%endif
touch %{_datadir}/gnome/help/gcalctool/C/gcalctool.html

%preun
%preun_uninstall_gconf_schemas gcalctool

%if %mdkversion < 200900
%postun 
%{clean_menus}
%clean_scrollkeeper
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS 
#TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Wed Oct 21 2009 Frederic Crozat <fcrozat@mandriva.com> 5.28.1-1mdv2010.0
+ Revision: 458606
- Release 5.28.1

* Tue Oct 06 2009 Thierry Vignaud <tvignaud@mandriva.com> 5.28.0-2mdv2010.0
+ Revision: 454761
- do not package huge ChangeLog

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 5.28.0-1mdv2010.0
+ Revision: 447185
- update to new version 5.28.0

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 5.27.92-1mdv2010.0
+ Revision: 432539
- update to new version 5.27.92

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 5.27.91-1mdv2010.0
+ Revision: 421334
- update to new version 5.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 5.27.90-1mdv2010.0
+ Revision: 414927
- update to new version 5.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 5.27.5-1mdv2010.0
+ Revision: 401402
- update to new version 5.27.5

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 5.27.4-1mdv2010.0
+ Revision: 395827
- update to new version 5.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 5.27.3-1mdv2010.0
+ Revision: 386289
- update to new version 5.27.3

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 5.27.2-1mdv2010.0
+ Revision: 379501
- new version
- remove TODO

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 5.27.1-1mdv2010.0
+ Revision: 374174
- new version
- update build deps

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 5.26.1-1mdv2009.1
+ Revision: 366974
- update to new version 5.26.1

* Tue Mar 17 2009 Funda Wang <fundawang@mandriva.org> 5.26.0-1mdv2009.1
+ Revision: 356457
- New version 5.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 5.25.92-1mdv2009.1
+ Revision: 347630
- update to new version 5.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 5.25.91-1mdv2009.1
+ Revision: 341246
- update to new version 5.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 5.25.90-1mdv2009.1
+ Revision: 336703
- update to new version 5.25.90

* Mon Jan 19 2009 Funda Wang <fundawang@mandriva.org> 5.25.5-1mdv2009.1
+ Revision: 331083
- New version 5.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 5.25.4-1mdv2009.1
+ Revision: 325239
- update to new version 5.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 5.25.3-1mdv2009.1
+ Revision: 315789
- update to new version 5.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 5.25.2-1mdv2009.1
+ Revision: 308993
- update to new version 5.25.2

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 5.25.1-1mdv2009.1
+ Revision: 299789
- update to new version 5.25.1

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 5.24.1-1mdv2009.1
+ Revision: 295493
- fix build deps
- update to new version 5.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 5.24.0-1mdv2009.0
+ Revision: 286808
- new version

* Sun Sep 07 2008 Götz Waschk <waschk@mandriva.org> 5.23.92-1mdv2009.0
+ Revision: 282278
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 5.23.91-1mdv2009.0
+ Revision: 278408
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 5.23.90-1mdv2009.0
+ Revision: 273606
- new version

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 5.23.6-1mdv2009.0
+ Revision: 263651
- New version 5.23.6

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 5.23.5-1mdv2009.0
+ Revision: 240073
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 5.23.4-1mdv2009.0
+ Revision: 231022
- new version

* Sun Jun 29 2008 Götz Waschk <waschk@mandriva.org> 5.22.3-1mdv2009.0
+ Revision: 230068
- new version

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%update_scrollkeeper/%%clean_scrollkeeper
    - use %%preun_uninstall_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 5.22.2-1mdv2009.0
+ Revision: 212327
- new version
- drop patch
- fix buildrequires

* Sun Apr 20 2008 Frederik Himpe <fhimpe@mandriva.org> 5.22.1-2mdv2009.0
+ Revision: 195866
- Add patch0 from Fedora: fix fortify abortion when clicking on first number
- New license policy

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 5.22.1-1mdv2009.0
+ Revision: 192465
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 5.22.0-1mdv2008.1
+ Revision: 183570
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 5.21.92-1mdv2008.1
+ Revision: 174558
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 5.21.91-1mdv2008.1
+ Revision: 165344
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 5.21.90-1mdv2008.1
+ Revision: 159182
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 5.21.5-1mdv2008.1
+ Revision: 151583
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 5.21.4-1mdv2008.1
+ Revision: 130072
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 5.21.3-1mdv2008.1
+ Revision: 115197
- new version

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 5.21.2-1mdv2008.1
+ Revision: 108525
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 5.21.1-1mdv2008.1
+ Revision: 102928
- new version
- update file list
- update buildrequires

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 5.21.0-1mdv2008.1
+ Revision: 95772
- new version

* Tue Oct 02 2007 Götz Waschk <waschk@mandriva.org> 5.20.1-1mdv2008.0
+ Revision: 94419
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 5.20.0-1mdv2008.0
+ Revision: 89203
- new version

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 5.19.92-1mdv2008.0
+ Revision: 78657
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 5.19.91-1mdv2008.0
+ Revision: 71972
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 5.19.90-1mdv2008.0
+ Revision: 63027
- new version

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 5.19.6-1mdv2008.0
+ Revision: 56520
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 5.19.5-1mdv2008.0
+ Revision: 49884
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 5.19.4-1mdv2008.0
+ Revision: 40932
- new version
- fix buildrequires
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 5.9.14-1mdv2007.1
+ Revision: 141866
- new version

* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 5.9.13-1mdv2007.1
+ Revision: 125675
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 5.9.12-1mdv2007.1
+ Revision: 120015
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 5.9.11-1mdv2007.1
+ Revision: 111956
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 5.9.9-1mdv2007.1
+ Revision: 98394
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 5.9.8-1mdv2007.1
+ Revision: 90723
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 5.9.7-2mdv2007.1
+ Revision: 87909
- bot rebuild
- new version

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 5.8.25-1mdv2007.1
+ Revision: 75992
- Import gcalctool

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 5.8.25-1mdv2007.1
- New version 5.8.25

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 5.8.24-1mdv2007.0
- New release 5.8.24

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 5.8.23-1mdv2007.0
- Release 5.8.23

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 5.8.20-1mdv2007.0
- New release 5.8.20

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 5.8.19-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 5.8.19-1
- New release 5.8.19

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 5.8.17-1mdv2007.0
- xdg menu
- New release 5.8.17

* Sat Jun 10 2006 Götz Waschk <waschk@mandriva.org> 5.8.16-1
- New release 5.8.16

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 5.8.13-2mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 5.8.13-1mdv2007.0
- Release 5.8.13

* Sat Apr 29 2006 Frederic Crozat <fcrozat@mandriva.com> 5.7.32-2mdk
- Rebuild

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 5.7.32-1mdk
- Release 5.7.32

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 5.6.31-3mdk
- Use mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.6.31-2mdk
- Rebuild

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 5.6.31-1mdk
- Release 5.6.31

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.5.42-6mdk
- add BuildRequires: automake1.8

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-5mdk
- fix URL (Gaetan Lehmann)

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-4mdk
- fix buildrequires

* Wed May 04 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-3mdk
- fix build on x86_64

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 5.5.42-2mdk
- fix buildrequires

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 5.5.42-1mdk 
- Release 5.5.42 (based on Gtz Waschk package)

* Thu Jan 13 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 4.4.22-1mdk
- New release 4.4.22

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.4.20-1mdk
- New release 4.4.20

* Wed Jul 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.3.51-3mdk
- fix menu conflict with X11R6-contrib

* Thu Jun 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.51-2mdk
- Revert to 4.3.51 (4.4.8 is not 2.6 material)

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.4.8-1mdk
- fix icon
- adapt file list
- New release 4.4.8

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.51-1mdk
- New release 4.3.51

